Raspberry piで、scipyをインストールしたとき、

sudo apt-get install scipy

だと、0.18.1がインストールされる。

しかし、バージョンが古いので、

sudo pip install scipy --upgrade

をやるが、途中で止まる???

と思ったが、単に時間がかかっているだけで、1.5時間後くらいに、以下の表示が出て終了した模様。

Successfully built scipy
Installing collected packages: scipy
  Found existing installation: scipy 0.18.1
    Uninstalling scipy-0.18.1:
      Successfully uninstalled scipy-0.18.1
Successfully installed scipy-1.1.0

念のため、バージョンを確認のため、

import scipy
scipy.__version__

をすると 、無事1.1がインストールされていた。

ちなみに、pandasについても同様で、

sudo pip install pandas --upgrade

で時間はかかるが、ちゃんとインストールされた。